Skip to main content
`Ctrl`+`K`

# PetscSectionSetChart

Sets the range [`pStart`, `pEnd`) in which points (indices) lie for this `PetscSection` on this MPI process

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetChart(PetscSection s, PetscInt pStart, PetscInt pEnd)

Not Collective

## Input Parameters

- s - the `PetscSection`

- pStart - the first point

- pEnd - one past the last point, `pStart` \( \le \) `pEnd`

## Notes

The charts on different MPI processes may (and often do) overlap

If you intend to use `PetscSectionSetNumFields()` it must be called before this call.

The chart for all fields created with `PetscSectionSetNumFields()` is the same as this chart.

## See Also

PetscSection, `PetscSection`, `PetscSectionGetChart()`, `PetscSectionCreate()`, `PetscSectionSetNumFields()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex7.c
src/snes/tutorials/ex7.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages